summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJason Zaman <perfinion@gentoo.org>2018-11-18 00:04:31 +0800
committerJason Zaman <perfinion@gentoo.org>2018-12-24 17:27:48 +0800
commit123656127ddf36ff43fe86f6cafc95ef759f6d6a (patch)
tree05b389c487e61ab5b761d1c408031b0c98ae00a5
parentbazel.eclass: new eclass for bazel build (diff)
downloadgentoo-123656127ddf36ff43fe86f6cafc95ef759f6d6a.tar.gz
gentoo-123656127ddf36ff43fe86f6cafc95ef759f6d6a.tar.bz2
gentoo-123656127ddf36ff43fe86f6cafc95ef759f6d6a.zip
sci-visualization/tensorboard: bump 1.12.0
Signed-off-by: Jason Zaman <perfinion@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
-rw-r--r--sci-visualization/tensorboard/Manifest1
-rw-r--r--sci-visualization/tensorboard/tensorboard-1.12.1.ebuild55
2 files changed, 56 insertions, 0 deletions
diff --git a/sci-visualization/tensorboard/Manifest b/sci-visualization/tensorboard/Manifest
index ff1ab4e460d..70932708b72 100644
--- a/sci-visualization/tensorboard/Manifest
+++ b/sci-visualization/tensorboard/Manifest
@@ -1,2 +1,3 @@
DIST tensorboard-1.10.0.zip 3280385 BLAKE2B b4e9f6d4fc6252b57f31e8514516205c8f8150d3d2c0f46049338fe7d7dd601b75c0b1c21945e06d077511426f85c65a318e184f9fd40758b1f83a7e93364518 SHA512 2c3a741c4627242e2e4c144d09089c951291826fe1839cf04d9f369b4e88cd5d7fb02b0789ea11cb4810ef458e167e98562ba55ac7cfcc048e4117f12b531818
DIST tensorboard-1.11.0.zip 3027414 BLAKE2B 5a0c325755551d5dfea98cc96cfa5ee0a8c9d39c2e7bcf8139daea54dcc89e5004de0dd90069e626264e11633acc283055ee3e73654b3d883418e07eef6f0f08 SHA512 d3948143a883ed6c6353cfab945814ff4ef21833b38875f003ef375d1e3a63dd65fce49ef80b2eec5827c46ffb6a82f8464f2b0e7d4af348ad8ba51ce4829426
+DIST tensorboard-1.12.1.zip 3046273 BLAKE2B 13d49cc9ed194c629943942b95c7a084220ce5f7ac2faaf5c010f8c4b71412144528feb58b2b67cae0d342f6a41e078c0fdffa45fdf526ec93b39ad204242c7c SHA512 b739f387c27a609d3064f7f7a162780d8807f4f9f6b95401f088bc7d6a1763613148056472c8b24b0941d562bb14bb323a82a248deb416ec5fba27fc25d7e62f
diff --git a/sci-visualization/tensorboard/tensorboard-1.12.1.ebuild b/sci-visualization/tensorboard/tensorboard-1.12.1.ebuild
new file mode 100644
index 00000000000..8a277ed9165
--- /dev/null
+++ b/sci-visualization/tensorboard/tensorboard-1.12.1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2018 Jason Zaman
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6} )
+inherit python-r1 python-utils-r1
+
+DESCRIPTION="TensorFlow's Visualization Toolkit"
+HOMEPAGE="https://www.tensorflow.org/"
+SRC_URI="https://files.pythonhosted.org/packages/bd/7e/528c868bb8a0542c8a5686ff3a08502d2691bd50499c6e55f8989fa8e5a0/${P}-py3-none-any.whl -> ${P}.zip"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+RDEPEND="
+ dev-python/bleach[${PYTHON_USEDEP}]
+ dev-python/grpcio[${PYTHON_USEDEP}]
+ dev-python/html5lib[${PYTHON_USEDEP}]
+ dev-python/markdown[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/protobuf-python[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+ dev-python/wheel[${PYTHON_USEDEP}]
+ virtual/python-futures[${PYTHON_USEDEP}]"
+BDEPEND="app-arch/unzip"
+PDEPEND="sci-libs/tensorflow[python,${PYTHON_USEDEP}]"
+
+S="${WORKDIR}"
+
+src_prepare() {
+ eapply_user
+
+ rm -rf "${S}/${PN}/_vendor/bleach" || die
+ rm -rf "${S}/${PN}/_vendor/html5lib" || die
+ sed -i -e '/_vendor.bleach/d' -e '/_vendor.html5lib/d' "${S}/${P}.dist-info/RECORD" || die "failed to unvendor"
+
+ find "${S}/${PN}" -name '*.py' -exec sed -i \
+ -e 's/^from tensorboard\._vendor import html5lib/import html5lib/' \
+ -e 's/^from tensorboard\._vendor import bleach/import bleach/' \
+ -e 's/^from tensorboard\._vendor\.html5lib/from html5lib/' \
+ -e 's/^from tensorboard\._vendor\.bleach/from bleach/' \
+ {} + || die "failed to unvendor"
+}
+
+src_install() {
+ do_install() {
+ python_domodule "${PN}"
+ python_domodule "${P}.dist-info"
+ }
+ python_foreach_impl do_install
+}